## hkl-types

hkl-types

## Types and Values

#define | TYPE_HKL_DETECTOR
#define | TYPE_HKL_ENGINE
#define | TYPE_HKL_ENGINE_LIST
#define | TYPE_HKL_FACTORY
#define | TYPE_HKL_GEOMETRY
#define | TYPE_HKL_GEOMETRY_LIST
#define | TYPE_HKL_GEOMETRY_LIST_ITEM
#define | TYPE_HKL_LATTICE
#define | TYPE_HKL_MATRIX
#define | TYPE_HKL_PARAMETER
#define | TYPE_HKL_SAMPLE_REFLECTION
#define | TYPE_HKL_SAMPLE
#define | TYPE_HKL_UNIT
#define | TYPE_HKL_VECTOR
#define | TYPE_HKL_QUATERNION

## Description

## Functions

## Types and Values

### TYPE_HKL_DETECTOR

    #define TYPE_HKL_DETECTOR (hkl_detector_get_type ())

### TYPE_HKL_ENGINE

    #define TYPE_HKL_ENGINE (hkl_engine_get_type ())

### TYPE_HKL_ENGINE_LIST

    #define TYPE_HKL_ENGINE_LIST (hkl_engine_list_get_type ())

### TYPE_HKL_FACTORY

    #define TYPE_HKL_FACTORY (hkl_factory_get_type ())

### TYPE_HKL_GEOMETRY

    #define TYPE_HKL_GEOMETRY (hkl_geometry_get_type ())

### TYPE_HKL_GEOMETRY_LIST

    #define TYPE_HKL_GEOMETRY_LIST (hkl_geometry_list_get_type ())

### TYPE_HKL_GEOMETRY_LIST_ITEM

    #define TYPE_HKL_GEOMETRY_LIST_ITEM (hkl_geometry_list_item_get_type ())

### TYPE_HKL_LATTICE

    #define TYPE_HKL_LATTICE (hkl_lattice_get_type ())

### TYPE_HKL_MATRIX

    #define TYPE_HKL_MATRIX (hkl_matrix_get_type ())

### TYPE_HKL_PARAMETER

    #define TYPE_HKL_PARAMETER (hkl_parameter_get_type ())

### TYPE_HKL_SAMPLE_REFLECTION

    #define TYPE_HKL_SAMPLE_REFLECTION (hkl_sample_reflection_get_type ())

### TYPE_HKL_SAMPLE

    #define TYPE_HKL_SAMPLE (hkl_sample_get_type ())

### TYPE_HKL_UNIT

    #define TYPE_HKL_UNIT (hkl_unit_get_type ())

### TYPE_HKL_VECTOR

    #define TYPE_HKL_VECTOR (hkl_vector_get_type ())

### TYPE_HKL_QUATERNION

    #define TYPE_HKL_QUATERNION (hkl_quaternion_get_type ())